package com.unipi.talepis.lightsensor1;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity
implements SensorEventListener{
    private SensorManager sensorManager;
    private Sensor lightsensor;
    private TextView textView1;
    private boolean started=false;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        sensorManager=(SensorManager)getSystemService(Context.SENSOR_SERVICE);
        lightsensor=sensorManager.getDefaultSensor(Sensor.TYPE_LIGHT);
        textView1=(TextView)findViewById(R.id.textView1);
    }
    public void light_s(View view){
        if (!started) {
            started=true;
            sensorManager.registerListener(this, lightsensor, SensorManager.SENSOR_DELAY_NORMAL);
        }
        else {
            started=false;
            sensorManager.unregisterListener(this);
        }
    }

    @Override
    public void onSensorChanged(SensorEvent event) {
        textView1.setText(Float.toString(event.values[0]));
    }

    @Override
    public void onAccuracyChanged(Sensor sensor, int accuracy) {

    }
}
